#!/usr/bin/env python
# setup.py generated by flit for tools that don't yet use PEP 517

from distutils.core import setup

packages = \
['markdown_it',
 'markdown_it.cli',
 'markdown_it.common',
 'markdown_it.helpers',
 'markdown_it.presets',
 'markdown_it.rules_block',
 'markdown_it.rules_core',
 'markdown_it.rules_inline']

package_data = \
{'': ['*']}

install_requires = \
['mdurl~=0.1']

extras_require = \
{'benchmarking': ['psutil', 'pytest', 'pytest-benchmark'],
 'code_style': ['pre-commit~=3.0'],
 'compare': ['commonmark~=0.9',
             'markdown~=3.4',
             'mistletoe~=1.0',
             'mistune~=2.0',
             'panflute~=2.3'],
 'linkify': ['linkify-it-py>=1,<3'],
 'plugins': ['mdit-py-plugins'],
 'profiling': ['gprof2dot'],
 'rtd': ['mdit-py-plugins @ '
         'git+https://github.com/executablebooks/mdit-py-plugins@master',
         'myst-parser',
         'pyyaml',
         'sphinx',
         'sphinx-copybutton',
         'sphinx-design',
         'sphinx_book_theme',
         'jupyter_sphinx'],
 'testing': ['coverage', 'pytest', 'pytest-cov', 'pytest-regressions']}

entry_points = \
{'console_scripts': ['markdown-it = markdown_it.cli.parse:main']}

setup(name='markdown-it-py',
      version='3.0.0',
      description='Python port of markdown-it. Markdown parsing, done right!',
      author=None,
      author_email='Chris Sewell <chrisj_sewell@hotmail.com>',
      url=None,
      packages=packages,
      package_data=package_data,
      install_requires=install_requires,
      extras_require=extras_require,
      entry_points=entry_points,
      python_requires='>=3.8',
     )
